Cara Install dan Konfigurasi PostgreSQL di Linux Ubuntu dan Mint - Mr-Roz3R


PostgreSQL
Assalamualaikum, kali ini kita akan menginstall dan juga mengkonfigurasikan database PostgreSQL di sistem operasi LINUX (baik Ubuntu atau Mint).

PostgreSQL adalah sebuah database yang disebarluaskan umum menurut perjanjian lisensi BSD. PostgreSQL juga merupakan database yang paling banyak digunakan pada saat ini selain MySQL dan Oracle.

Oke disini kita langsung saja mencobanya:

1. Menambahkan Repository PostgreSQL

 

wget -q https://www.postgresql.org/media/keys/ACCC4CF8.asc -O- | sudo apt-key add -

2. Tambahkan Informasi Dari Repository PostgreSQL ke file /etc/apt/sources.list.d/postgresql.list

 

  ### Debian 9 ###:

echo "deb http://apt.postgresql.org/pub/repos/apt/ `lsb_release -cs`-pgdg main" | sudo tee /etc/apt/sources.list.d/postgresql.list

  ### Ubuntu 16.04 / LinuxMint 18 ###:

echo "deb http://apt.postgresql.org/pub/repos/apt/ xenial-pgdg main" | sudo tee /etc/apt/sources.list.d/postgresql.list

3. Selanjutnya Install PostgreSQL

 

  Kita perbarui terlebih dahulu:

sudo apt-get update

Install PostgreSQL dengan terminal:

sudo apt install -y postgresql-10 pgadmin4

4. Proses Install Selesai

Berhubung kita tadi menginstall pgadmin4, jadi untuk mengaktifkan PostgreSQLnya kita hanya tinggal buka aplikasi pgAdmin4 saja di MENU.

Untuk Perintah PostgreSQL di Terminal:

 

Perintah Untuk Menjalankan:

sudo systemctl start postgresql

Perintah Untuk Menstop:

sudo systemctl stop postgresql

Perintah Untuk Merestart:

sudo systemctl restart postgresql

Perintah Untuk Mengecek Status:

sudo systemctl status postgresql

*Kalau ada error bisa langsung komen saja di akhir postingan :)

Semoga Artikel ini bermanfaat untuk semua orang :) Terima Kasih
#Mr-Roz3R.net

October 29, 2018 - 1 komentar

1 komentar untuk Cara Install dan Konfigurasi PostgreSQL di Linux Ubuntu dan Mint - Mr-Roz3R.


Perlihatkan Semua Komentar Tutup Semua Komentar
.

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
postgresql : Depends: postgresql-12 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

-Kalau Seperti ini kenapa ya?

Balas Hapus